Skip to main content
GET
/
webarchive
/
dumps
Get all data snapshot statuses
curl --request GET \
  --url https://api.brightdata.com/webarchive/dumps \
  --header 'Authorization: Bearer <token>'
[
  {
    "dump_id": "ucd_abc123-1234567890",
    "id": "ucd_abc123-1234567890",
    "status": "done",
    "created": "2026-02-05T07:57:50.947Z",
    "done": "2026-02-05T08:21:55.245Z",
    "readiness": "100.00%",
    "search_id": "ucd_xyz789",
    "filters": {
      "max_age": "2h",
      "min_date": "2026-02-05T05:00:00.000Z"
    },
    "batches_total": 1,
    "batches_uploaded": 1,
    "files_total": 10,
    "files_uploaded": 10
  },
  {
    "dump_id": "ucd_def456-9876543210",
    "id": "ucd_def456-9876543210",
    "status": "in_progress",
    "created": "2026-02-04T13:35:54.607Z",
    "readiness": "50.00%",
    "search_id": "ucd_qwe321",
    "filters": {
      "max_age": "1d",
      "domain_whitelist": [
        "example.com"
      ]
    },
    "batches_total": 10,
    "batches_uploaded": 5,
    "files_total": 1000,
    "files_uploaded": 500
  }
]

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Response

List of data snapshot statuses

dump_id
string
required

Unique identifier for the dump

id
string
required

Same as dump_id (included for compatibility)

status
enum<string>
required

Current status of the dump

Available options:
in_progress
created
string<date-time>
required

Timestamp when the dump was created

search_id
string
required

ID of the search this dump is based on

readiness
string
required

Percentage of completion (e.g., "22.31%")

batches_total
integer
required

Total number of batches to process

batches_uploaded
integer
required

Number of batches uploaded so far

files_total
integer
required

Total number of files in the dump

files_uploaded
integer
required

Number of files uploaded so far

filters
object

Filters used to create the dump (present in list endpoint)